services:
  spark:
    version: 3.5.1
    download-source: "https://archive.apache.org/dist/spark/spark-3.5.1/spark-3.5.1-bin-hadoop3.tgz"
  hdfs:
    version: 3.3.4
    download-source: "https://archive.apache.org/dist/hadoop/core/hadoop-3.3.4/"
provider: ec2
providers:
  ec2:
    key-name: master2-us-east-1-ec2-key-pair
    identity-file: /keys/master2-us-east-1-ec2-key-pair.pem
    instance-type: r5d.4xlarge
    region: us-east-2
    ami: ami-0c7f9161f8491665f
    user: ec2-user
    instance-profile-name: EMR_EC2_DefaultRole
    min-root-ebs-size-gb: 20
    tenancy: default  # default | dedicated
    ebs-optimized: yes  # yes | no
    instance-initiated-shutdown-behavior: terminate  # terminate | stop

launch:
  num-slaves: 8
  install-hdfs: True
  install-spark: True
  java-version: 8

debug: false

